%global __brp_check_rpaths %{nil}
%global packname  nvctr
%global packver   0.1.4
%global rlibdir   /usr/local/lib/R/library

Name:             R-CRAN-%{packname}
Version:          0.1.4
Release:          1%{?dist}%{?buildtag}
Summary:          The n-vector Approach to Geographical Position Calculations using an Ellipsoidal Model of Earth

License:          MIT + file LICENSE
URL:              https://cran.r-project.org/package=%{packname}
Source0:          %{url}&version=%{packver}#/%{packname}_%{packver}.tar.gz


BuildRequires:    R-devel
Requires:         R-core
BuildArch:        noarch
BuildRequires:    R-CRAN-magrittr 
BuildRequires:    R-CRAN-pracma 
Requires:         R-CRAN-magrittr 
Requires:         R-CRAN-pracma 

%description
The n-vector framework uses the normal vector to the Earth ellipsoid
(called n-vector) as a non-singular position representation that turns out
to be very convenient for practical position calculations.  The n-vector
is simple to use and gives exact answers for all global positions, and all
distances, for both ellipsoidal and spherical Earth models.  This package
is a translation of the 'Matlab' library from FFI, the Norwegian Defence
Research Establishment, as described in Gade (2010)
<doi:10.1017/S0373463309990415>.

%prep
%setup -q -c -n %{packname}

# fix end of executable files
find -type f -executable -exec grep -Iq . {} \; -exec sed -i -e '$a\' {} \;
# prevent binary stripping
[ -d %{packname}/src ] && find %{packname}/src -type f -exec \
  sed -i 's@/usr/bin/strip@/usr/bin/true@g' {} \; || true
# don't allow local prefix in executable scripts
find -type f -executable -exec sed -Ei 's@#!( )*/usr/local/bin@#!/usr/bin@g' {} \;

%build

%install

mkdir -p %{buildroot}%{rlibdir}
%{_bindir}/R CMD INSTALL -l %{buildroot}%{rlibdir} %{packname}
test -d %{packname}/src && (cd %{packname}/src; rm -f *.o *.so)
rm -f %{buildroot}%{rlibdir}/R.css
# remove buildroot from installed files
find %{buildroot}%{rlibdir} -type f -exec sed -i "s@%{buildroot}@@g" {} \;

%files
%{rlibdir}/%{packname}
